Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.server
Interface Server

All Superinterfaces:
  Component, java.io.Serializable

All Known Implementing Classes:
  AbstractServer, BasicServer, NullServer, TrustedServer

    public interface Server

extends Component

Interface for server operations. A server's task is to get static information from a store, add dynamic things like Expire and Query tags, and return a complete XRDS.

Author:
  =peacekeeper

Method Summary
`XRDS` | `lookupByNamespace(java.lang.String namespace, java.lang.String query, boolean signed)` Obtains an XRDS for an XRI segment.
`XRDS` | `lookupByPath(java.lang.String path, boolean signed)` Obtains an XRDS for a path.
`XRDS` | `lookupSelfDescribing(java.lang.String namespace, boolean signed)` Obtains a self-describing XRDS for a root namespace.

Methods inherited from interface org.openxri.config.Component
`getProperties, init`

Method Detail

### lookupSelfDescribing

    XRDS lookupSelfDescribing(java.lang.String namespace,
                              boolean signed)
                              throws ServerException

  Obtains a self-describing XRDS for a root namespace. This is called if the URIMapper was able to only extract a namespace from the request, but no query.

  Parameters:
    `namespace` - The root namespace.
    `signed` - Whether or not a signed descriptor is requested.
  Returns:
    The completed XRDS ready to be sent to the client
  Throws:
    `ServerException`

### lookupByNamespace

    XRDS lookupByNamespace(java.lang.String namespace,
                           java.lang.String query,
                           boolean signed)
                           throws ServerException

  Obtains an XRDS for an XRI segment. This is called if the URIMapper was able to extract a namespace and a query from the request.

  Parameters:
    `namespace` - The root namespace of the segment.
    `query` - The segment to resolve.
    `signed` - Whether or not a signed descriptor is requested.
  Returns:
    The completed XRDS ready to be sent to the client
  Throws:
    `ServerException`

### lookupByPath

    XRDS lookupByPath(java.lang.String path,
                      boolean signed)
                      throws ServerException

  Obtains an XRDS for a path. This is called if the URIMapper was not even able to extract a namespace from the request.

  Parameters:
    `path` - The HTTP path of the request.
    `signed` - Whether or not a signed descriptor is requested.
  Returns:
    The completed XRDS ready to be sent to the client
  Throws:
    `ServerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.